--- res_monitor.c	2007-12-18 07:41:34.000000000 -0600
+++ res_monitor.c.sox	2007-12-18 07:44:37.000000000 -0600
@@ -69,8 +69,8 @@
 "    m   - when the recording ends mix the two leg files into one and\n"
 "          delete the two leg files.  If the variable MONITOR_EXEC is set, the\n"
 "          application referenced in it will be executed instead of\n"
-"          soxmix and the raw leg files will NOT be deleted automatically.\n"
-"          soxmix or MONITOR_EXEC is handed 3 arguments, the two leg files\n"
+"          sox and the raw leg files will NOT be deleted automatically.\n"
+"          sox or MONITOR_EXEC is handed 3 arguments, the two leg files\n"
 "          and a target mixed file name which is the same as the leg file names\n"
 "          only without the in/out designator.\n"
 "          If MONITOR_EXEC_ARGS is set, the contents will be passed on as\n"
@@ -254,10 +254,10 @@
  * \brief Get audio format.
  * \param format recording format.
  * The file format extensions that Asterisk uses are not all the same as that
- * which soxmix expects.  This function ensures that the format used as the
- * extension on the filename is something soxmix will understand.
+ * which sox expects.  This function ensures that the format used as the
+ * extension on the filename is something sox will understand.
  */
-static const char *get_soxmix_format(const char *format)
+static const char *get_sox_format(const char *format)
 {
 	const char *res = format;
 
@@ -326,8 +326,8 @@
 			/* Set the execute application */
 			execute = pbx_builtin_getvar_helper(chan, "MONITOR_EXEC");
 			if (ast_strlen_zero(execute)) { 
-				execute = "nice -n 19 soxmix";
-				format = get_soxmix_format(format);
+				execute = "nice -n 19 sox -m";
+				format = get_sox_format(format);
 				delfiles = 1;
 			} 
 			execute_args = pbx_builtin_getvar_helper(chan, "MONITOR_EXEC_ARGS");
